Loading...
Searching...
No Matches
CForegroundTask Class Reference
Inheritance diagram for CForegroundTask:
[legend]

## Public Member Functions

| CForegroundTask (COldObject *object)
bool | IsBackground () override final
| Returns true if this task is meant to be run as a background task.
bool | IsPilot () override
| Returns true if you can control the robot while the task is executing.
Public Member Functions inherited from CTask
| CTask (COldObject *object)
virtual bool | EventProcess (const Event &event)
virtual Error | IsEnded ()
virtual bool | IsBusy ()
virtual bool | Abort ()

## Additional Inherited Members

Protected Attributes inherited from CTask
Gfx::CEngine * | m_engine = nullptr
Gfx::CLightManager * | m_lightMan = nullptr
Gfx::CParticle * | m_particle = nullptr
Gfx::CTerrain * | m_terrain = nullptr
Gfx::CWater * | m_water = nullptr
Gfx::CCamera * | m_camera = nullptr
CRobotMain * | m_main = nullptr
CSoundInterface * | m_sound = nullptr
COldObject * | m_object = nullptr
CProgrammableObject * | m_programmable = nullptr
CMotion * | m_motion = nullptr
CPhysics * | m_physics = nullptr

## Member Function Documentation

## IsBackground()

bool CForegroundTask::IsBackground | ( |  | ) |

inline final override virtual

Returns true if this task is meant to be run as a background task.

Implements CTask.

## IsPilot()

bool CForegroundTask::IsPilot | ( |  | ) |

inline override virtual

Returns true if you can control the robot while the task is executing.

Implements CTask.

Reimplemented in CTaskFire.

The documentation for this class was generated from the following file:

- src/object/task/task.h